summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Clemons2017-06-22 12:19:55 +0200
committer Willy Sudiarto Raharjo2017-06-24 03:32:21 +0200
commita8e78c52c72b342c5436f5ff39148a3f2e68f7ee (patch)
treea650094ffcecd6d398295d6fc400868899717418
parenta4ac840e323207cb2f6d697f3a4d8da1e6a0fee0 (diff)
downloadslackbuilds-a8e78c52c72b342c5436f5ff39148a3f2e68f7ee.tar.gz
development/henplus: Added (SQL shell).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/henplus/README1
-rw-r--r--development/henplus/henplus.SlackBuild81
-rw-r--r--development/henplus/henplus.info10
-rw-r--r--development/henplus/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/development/henplus/README b/development/henplus/README
new file mode 100644
index 0000000000..b729af19a7
--- /dev/null
+++ b/development/henplus/README
@@ -0,0 +1 @@
+HenPlus is a SQL shell that can handle multiple open sessions in parallel.
diff --git a/development/henplus/henplus.SlackBuild b/development/henplus/henplus.SlackBuild
new file mode 100644
index 0000000000..10b3197e4b
--- /dev/null
+++ b/development/henplus/henplus.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for henplus
+
+# Copyright 2013,2017 Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=henplus
+VERSION=${VERSION:-0.9.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+rm lib/libreadline-*.jar
+sed -i '/^LD_LIBRARY_PATH/d' bin/henplus
+sed -i 's/ LD_LIBRARY_PATH//' bin/henplus
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+ln -s /usr/share/java/libreadline-java.jar lib/libreadline-java-0.8.0.jar
+
+mkdir -p $PKG/usr
+
+ant -Dprefix=$PKG/usr install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -D doc/HenPlus.html $PKG/usr/doc/$PRGNAM-$VERSION/HenPlus.html
+cp -a \
+ COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/henplus/henplus.info b/development/henplus/henplus.info
new file mode 100644
index 0000000000..786c7c36cc
--- /dev/null
+++ b/development/henplus/henplus.info
@@ -0,0 +1,10 @@
+PRGNAM="henplus"
+VERSION="0.9.8"
+HOMEPAGE="http://henplus.sourceforge.net/"
+DOWNLOAD="https://sourceforge.net/projects/henplus/files/henplus-0.9.8.tar.gz"
+MD5SUM="230d3bff07c54b4861c848582b077b35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="apache-ant libreadline-java"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/development/henplus/slack-desc b/development/henplus/slack-desc
new file mode 100644
index 0000000000..74a7e4c16e
--- /dev/null
+++ b/development/henplus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+henplus: henplus (SQL shell)
+henplus:
+henplus: HenPlus is a SQL shell that can handle multiple open sessions in
+henplus: parallel. The commandline interface provides the usual history
+henplus: functions features and TAB-completion for commands, tables and
+henplus: columns.
+henplus:
+henplus: Website: http://henplus.sourceforge.net/
+henplus:
+henplus:
+henplus: